package cn.com.qmth.examcloud.core.questions.dao.entity.dto;

public class CoursePropertyNumberDto {

    private String id;

    private String propertyParentId;

    private String propertyId;

    private String propertyName;

    private Integer number;

    private Integer publicSimple; //公开简单

    private Integer publicMedium; //公开中等

    private Integer publicDifficulty; //公开困难

    private Integer noPublicSimple; //非公开简单

    private Integer noPublicMedium; //非公开中等

    private Integer noPublicDifficulty; //非公开困难

    private Boolean disable; //是否显示

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPropertyParentId() {
        return propertyParentId;
    }

    public void setPropertyParentId(String propertyParentId) {
        this.propertyParentId = propertyParentId;
    }

    public String getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(String propertyId) {
        this.propertyId = propertyId;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Integer getPublicSimple() {
        return publicSimple;
    }

    public void setPublicSimple(Integer publicSimple) {
        this.publicSimple = publicSimple;
    }

    public Integer getPublicMedium() {
        return publicMedium;
    }

    public void setPublicMedium(Integer publicMedium) {
        this.publicMedium = publicMedium;
    }

    public Integer getPublicDifficulty() {
        return publicDifficulty;
    }

    public void setPublicDifficulty(Integer publicDifficulty) {
        this.publicDifficulty = publicDifficulty;
    }

    public Integer getNoPublicSimple() {
        return noPublicSimple;
    }

    public void setNoPublicSimple(Integer noPublicSimple) {
        this.noPublicSimple = noPublicSimple;
    }

    public Integer getNoPublicMedium() {
        return noPublicMedium;
    }

    public void setNoPublicMedium(Integer noPublicMedium) {
        this.noPublicMedium = noPublicMedium;
    }

    public Integer getNoPublicDifficulty() {
        return noPublicDifficulty;
    }

    public void setNoPublicDifficulty(Integer noPublicDifficulty) {
        this.noPublicDifficulty = noPublicDifficulty;
    }

    public Boolean getDisable() {
        return disable;
    }

    public void setDisable(Boolean disable) {
        this.disable = disable;
    }

}